javax.servlet.jsp.el

## Class ScopedAttributeELResolver

- java.lang.Object
- - javax.el.ELResolver
  - - javax.servlet.jsp.el.ScopedAttributeELResolver

    public class ScopedAttributeELResolver
    extends javax.el.ELResolver

Since:
  2.1

### Field Summary

### Fields inherited from class javax.el.ELResolver

`RESOLVABLE_AT_DESIGN_TIME, TYPE`

### Constructor Summary

Constructors
Constructor and Description
`ScopedAttributeELResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Class<java.lang.String>` `getCommonPropertyType(javax.el.ELContext context, java.lang.Object base)`
`java.util.Iterator<java.beans.FeatureDescriptor>` `getFeatureDescriptors(javax.el.ELContext context, java.lang.Object base)`
`java.lang.Class<java.lang.Object>` `getType(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`java.lang.Object` `getValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`boolean` `isReadOnly(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`void` `setValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property, java.lang.Object value)`

### Methods inherited from class javax.el.ELResolver

`invoke`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScopedAttributeELResolver

    public ScopedAttributeELResolver()

### Method Detail

#### getValue

    public java.lang.Object getValue(javax.el.ELContext context,
                                     java.lang.Object base,
                                     java.lang.Object property)
                              throws java.lang.NullPointerException,
                                     javax.el.PropertyNotFoundException,
                                     javax.el.ELException

Specified by:
  `getValue` in class `javax.el.ELResolver`
Throws:
  `java.lang.NullPointerException`
  `javax.el.PropertyNotFoundException`
  `javax.el.ELException`

#### getType

    public java.lang.Class<java.lang.Object> getType(javax.el.ELContext context,
                                                     java.lang.Object base,
                                                     java.lang.Object property)
                                              throws java.lang.NullPointerException,
                                                     javax.el.PropertyNotFoundException,
                                                     javax.el.ELException

Specified by:
  `getType` in class `javax.el.ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose type is to be returned
Returns:
  the type of the provided property
Throws:
  `java.lang.NullPointerException` - If the supplied context is `null`
  `javax.el.PropertyNotFoundException` - If the base/property combination provided to the resolver is one that the resolver can handle but no match was found or a match was found but was not readable
  `javax.el.ELException` - Wraps any exception throw whilst resolving the property

#### setValue

    public void setValue(javax.el.ELContext context,
                         java.lang.Object base,
                         java.lang.Object property,
                         java.lang.Object value)
                  throws java.lang.NullPointerException,
                         javax.el.PropertyNotFoundException,
                         javax.el.PropertyNotWritableException,
                         javax.el.ELException

Specified by:
  `setValue` in class `javax.el.ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose value is to be set
  `value` - The value to set the property to
Throws:
  `java.lang.NullPointerException` - If the supplied context is `null`
  `javax.el.PropertyNotFoundException` - If the base/property combination provided to the resolver is one that the resolver can handle but no match was found
  `javax.el.PropertyNotWritableException` - If the base/property combination provided to the resolver is one that the resolver can handle but the property was not writable
  `javax.el.ELException` - Wraps any exception throw whilst resolving the property

#### isReadOnly

    public boolean isReadOnly(javax.el.ELContext context,
                              java.lang.Object base,
                              java.lang.Object property)
                       throws java.lang.NullPointerException,
                              javax.el.PropertyNotFoundException,
                              javax.el.ELException

Specified by:
  `isReadOnly` in class `javax.el.ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property to be checked for read only status
Returns:
  `true` if the identified property is read only, otherwise `false`
Throws:
  `java.lang.NullPointerException` - If the supplied context is `null`
  `javax.el.PropertyNotFoundException` - If the base/property combination provided to the resolver is one that the resolver can handle but no match was found
  `javax.el.ELException` - Wraps any exception throw whilst resolving the property

#### getFeatureDescriptors

    public java.util.Iterator<java.beans.FeatureDescriptor> getFeatureDescriptors(javax.el.ELContext context,
                                                                                  java.lang.Object base)

Specified by:
  `getFeatureDescriptors` in class `javax.el.ELResolver`

#### getCommonPropertyType

    public java.lang.Class<java.lang.String> getCommonPropertyType(javax.el.ELContext context,
                                                                   java.lang.Object base)

Specified by:
  `getCommonPropertyType` in class `javax.el.ELResolver`